//
//  RateView.h
//
//  Based on code by Ray Wenderlich on 2/17/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//
//	B4i Library by Henrik Skov <henry.wood.dk@gmail.com>

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

@class RateView;
//~shortname:RateView
//~event:RatingChanged (NewRating As Double)
//~version:1.00
//~author:Henrik Skov (henry.wood.dk@gmail.com)

@protocol RateViewDelegate
- (void)rateView:(RateView *)rateView ratingDidChange:(float)rating;
@end

@interface RateView : UIView
//Not selected image.
@property (strong, nonatomic) UIImage *NotSelectedImage;
//Half selected image.
@property (strong, nonatomic) UIImage *HalfSelectedImage;
//Fully selected Image
@property (strong, nonatomic) UIImage *FullSelectedImage;
//Current Rating
@property (assign, nonatomic) float Rating;
@property (assign) BOOL Enabled;
@property (strong) NSMutableArray * ImageViews;
//Max rating
@property (assign, nonatomic) int MaxRating;
@property (assign) int MidMargin;
@property (assign) int LeftMargin;
@property (assign) CGSize MinImageSize;
@property (assign) id <RateViewDelegate> delegate;

//Initializes the object
- (void)Initialize:(B4I *)bi :(NSString *)EventName;

@end
